From 05d228adc330f7cb2719fe19d203c27a02edc62a Mon Sep 17 00:00:00 2001
From: Andrew Randrianasulu <randrianasulu@gmail.com>
Date: Thu, 19 Feb 2026 07:34:54 +0300
Subject: [PATCH] Use PYTHON variable detected in configure in guicast/Makefile

---
 cinelerra-5.1/configure.ac | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/cinelerra-5.1/configure.ac b/cinelerra-5.1/configure.ac
index d45f2d00..23edd2fa 100644
--- a/cinelerra-5.1/configure.ac
+++ b/cinelerra-5.1/configure.ac
@@ -1248,6 +1248,7 @@ echo "  using: with-git-ffmpeg = $WANT_GIT_FFMPEG"
 echo "  using: with-noelision = $WANT_NOELISION"
 echo "  using: with-booby = $WANT_BOOBY"
 echo "  using: with-clang = $WANT_CLANG"
+echo "  using: python = $PYTHON"
 echo ""
 echo "  using: thirdparty build = $WANT_CIN_3RDPARTY"
 echo "  using: single-user  = $WANT_CINBIN_BUILD"
@@ -1255,6 +1256,7 @@ echo "  using: static-build = $WANT_STATIC_BUILD"
 echo "  using: ladspa-build = $WANT_LADSPA_BUILD"
 echo ""
 
+AC_SUBST(PYTHON)
 AC_SUBST(WANT_CIN_3RDPARTY)
 AC_SUBST(EXTRA_LIBS)
 AC_SUBST(FFMPEG_EXTRA_CFG)
@@ -1279,6 +1281,7 @@ if test "x$WANT_CLANG" = "xyes" ; then
   echo "CXX = clang++"
   echo "export CC CXX"
 fi
+echo "PYTHON := $PYTHON"
 echo ""
 echo "OBJDIR := $OBJDIR"
 echo "BINDIR := \$(TOPDIR)/bin"
-- 
2.53.0

